View Issue Details

This bug affects 2 person(s).
 28
IDProjectCategoryView StatusLast Update
17458Bug reportsDatabase designpublic2023-06-01 17:44
ReporterDenisChenu Assigned Toadamzammit  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version3.25.17 
Fixed in Version3.28.x 
Summary17458: Check integrety broke with SQL error
Description

When have subquestion with integer : checkintegrity can break

Steps To Reproduce
  1. Create a lot of question
  2. Create a subquestion with 99999 for code.

For me : qid : 339316 / 87481

Additional Information

MS SQL only ?
Maybe we can move to bigint for qid ?

What is your biggest number at limeservice ?

TagsNo tags attached.
Bug heat28
Complete LimeSurvey version number (& build)3.27.7
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database type & versionmssql 12.00.6433
Server OS (if known)IIS
Webserver software & version (if known)windows
PHP Version7.4.20

Relationships

has duplicate 17981 closed "check data integrity" issue 
related to 18614 closedc_schmitz lime_questions ERROR: Value '27373432210' is out of bounds for type integer at character 52 

Users monitoring this issue

User List duvemyster, labd1301

Activities

DenisChenu

DenisChenu

2021-07-21 12:32

developer  

CDbException.html (25,634 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>CDbException</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>CDbException</h1>

	<p class="message">
		CDbCommand failed to execute the SQL statement: SQLSTATE[22003]: 
[Microsoft][ODBC Driver 11 for SQL Server][SQL Server]The conversion of 
the nvarchar value '33931687481' overflowed an int column.. The SQL 
statement executed was: SELECT TOP 1 * FROM [dbo].[lime_questions] [t] 
WHERE [t].[qid]=:yp0 AND [t].[language]=:yp1 AND [t].[sid]=:yp2	</p>

	<div class="source">
		<p class="file">.\limesurvey\framework\db\CDbCommand.php(543)</p>
		<div class="code"><pre><span class="ln">531</span>         {
<span class="ln">532</span>             if($this-&gt;_connection-&gt;enableProfiling)
<span class="ln">533</span>                 Yii::endProfile('system.db.CDbCommand.query('.$this-&gt;getText().$par.')','system.db.CDbCommand.query');
<span class="ln">534</span> 
<span class="ln">535</span>             $errorInfo=$e instanceof PDOException ? $e-&gt;errorInfo : null;
<span class="ln">536</span>             $message=$e-&gt;getMessage();
<span class="ln">537</span>             Yii::log(Yii::t('yii','CDbCommand::{method}() failed: {error}. The SQL statement executed was: {sql}.',
<span class="ln">538</span>                 array('{method}'=&gt;$method, '{error}'=&gt;$message, '{sql}'=&gt;$this-&gt;getText().$par)),CLogger::LEVEL_ERROR,'system.db.CDbCommand');
<span class="ln">539</span> 
<span class="ln">540</span>             if(YII_DEBUG)
<span class="ln">541</span>                 $message.='. The SQL statement executed was: '.$this-&gt;getText().$par;
<span class="ln">542</span> 
<span class="error"><span class="ln error-ln">543</span>             throw new CDbException(Yii::t('yii','CDbCommand failed to execute the SQL statement: {error}',
</span><span class="ln">544</span>                 array('{error}'=&gt;$message)),(int)$e-&gt;getCode(),$errorInfo);
<span class="ln">545</span>         }
<span class="ln">546</span>     }
<span class="ln">547</span> 
<span class="ln">548</span>     /**
<span class="ln">549</span>      * Builds a SQL SELECT statement from the given query specification.
<span class="ln">550</span>      * @param array $query the query specification in name-value pairs. The following
<span class="ln">551</span>      * query options are supported: {@link select}, {@link distinct}, {@link from},
<span class="ln">552</span>      * {@link where}, {@link join}, {@link group}, {@link having}, {@link order},
<span class="ln">553</span>      * {@link limit}, {@link offset} and {@link union}.
<span class="ln">554</span>      * @throws CDbException if "from" key is not present in given query parameter
<span class="ln">555</span>      * @return string the SQL statement
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tbody><tr class="trace core collapsed">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;.\limesurvey\framework\db\CDbCommand.php(415): <strong>CDbCommand</strong>-&gt;<strong>queryInternal</strong>("fetch", array(2), array())				</div>

				<div class="code"><pre><span class="ln">410</span>      * @return mixed the first row (in terms of an array) of the query result, false if no result.
<span class="ln">411</span>      * @throws CException execution failed
<span class="ln">412</span>      */
<span class="ln">413</span>     public function queryRow($fetchAssociative=true,$params=array())
<span class="ln">414</span>     {
<span class="error"><span class="ln error-ln">415</span>         return $this-&gt;queryInternal('fetch',$fetchAssociative ? $this-&gt;_fetchMode : PDO::FETCH_NUM, $params);
</span><span class="ln">416</span>     }
<span class="ln">417</span> 
<span class="ln">418</span>     /**
<span class="ln">419</span>      * Executes the SQL statement and returns the value of the first column in the first row of data.
<span class="ln">420</span>      * This is a convenient method of {@link query} when only a single scalar
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;.\limesurvey\framework\db\ar\CActiveRecord.php(1359): <strong>CDbCommand</strong>-&gt;<strong>queryRow</strong>()				</div>

				<div class="code"><pre><span class="ln">1354</span>         if(empty($criteria-&gt;with))
<span class="ln">1355</span>         {
<span class="ln">1356</span>             if(!$all)
<span class="ln">1357</span>                 $criteria-&gt;limit=1;
<span class="ln">1358</span>             $command=$this-&gt;getCommandBuilder()-&gt;createFindCommand($this-&gt;getTableSchema(),$criteria);
<span class="error"><span class="ln error-ln">1359</span>             return $all ? $this-&gt;populateRecords($command-&gt;queryAll(), true, $criteria-&gt;index) : $this-&gt;populateRecord($command-&gt;queryRow());
</span><span class="ln">1360</span>         }
<span class="ln">1361</span>         else
<span class="ln">1362</span>         {
<span class="ln">1363</span>             $finder=$this-&gt;getActiveFinder($criteria-&gt;with);
<span class="ln">1364</span>             return $finder-&gt;query($criteria,$all);
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;.\limesurvey\application\models\LSActiveRecord.php(73): <strong>CActiveRecord</strong>-&gt;<strong>query</strong>(CDbCriteria, false)				</div>

				<div class="code"><pre><span class="ln">68</span>      * @since 1.1.7
<span class="ln">69</span>      */
<span class="ln">70</span>     protected function query($criteria, $all = false, $asAR = true)
<span class="ln">71</span>     {
<span class="ln">72</span>         if ($asAR === true) {
<span class="error"><span class="ln error-ln">73</span>             return parent::query($criteria, $all);
</span><span class="ln">74</span>         } else {
<span class="ln">75</span>             $this-&gt;beforeFind();
<span class="ln">76</span>             $this-&gt;applyScopes($criteria);
<span class="ln">77</span>             if (!$all) {
<span class="ln">78</span>                 $criteria-&gt;limit = 1;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;.\limesurvey\framework\db\ar\CActiveRecord.php(1527): <strong>LSActiveRecord</strong>-&gt;<strong>query</strong>(CDbCriteria)				</div>

				<div class="code"><pre><span class="ln">1522</span>     public function findByAttributes($attributes,$condition='',$params=array())
<span class="ln">1523</span>     {
<span class="ln">1524</span>         Yii::trace(get_class($this).'.findByAttributes()','system.db.ar.CActiveRecord');
<span class="ln">1525</span>         $prefix=$this-&gt;getTableAlias(true).'.';
<span class="ln">1526</span>         $criteria=$this-&gt;getCommandBuilder()-&gt;createColumnCriteria($this-&gt;getTableSchema(),$attributes,$condition,$params,$prefix);
<span class="error"><span class="ln error-ln">1527</span>         return $this-&gt;query($criteria);
</span><span class="ln">1528</span>     }
<span class="ln">1529</span> 
<span class="ln">1530</span>     /**
<span class="ln">1531</span>      * Finds all active records that have the specified attribute values.
<span class="ln">1532</span>      * See {@link find()} for detailed explanation about $condition and $params.
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;.\limesurvey\application\controllers\admin\checkintegrity.php(537): <strong>CActiveRecord</strong>-&gt;<strong>findByAttributes</strong>(array("qid" =&gt; "33931687481", "language" =&gt; "en", "sid" =&gt; "152625"))				</div>

				<div class="code"><pre><span class="ln">532</span>                             if ((string) intval($sQID) !== $sQID) {
<span class="ln">533</span>                                 throw new \Exception('sQID is not an integer: ' . $sQID);
<span class="ln">534</span>                             }
<span class="ln">535</span> 
<span class="ln">536</span>                             // Here, we get the question as defined in backend
<span class="error"><span class="ln error-ln">537</span>                             $oQuestion = Question::model()-&gt;findByAttributes([ 'qid' =&gt; $sQID , 'language' =&gt; $oSurvey-&gt;language, 'sid' =&gt; $oSurvey-&gt;sid ]);
</span><span class="ln">538</span>                             if (is_a($oQuestion, 'Question')){
<span class="ln">539</span> 
<span class="ln">540</span>                                 // We check if its GID is the same as the one defined in the column name
<span class="ln">541</span>                                 if ($oQuestion-&gt;gid != $sGid){
<span class="ln">542</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;.\limesurvey\application\controllers\admin\checkintegrity.php(40): <strong>CheckIntegrity</strong>-&gt;<strong>_checkintegrity</strong>()				</div>

				<div class="code"><pre><span class="ln">35</span>         Yii::app()-&gt;loadHelper('surveytranslator');
<span class="ln">36</span>     }
<span class="ln">37</span>                                                                              
<span class="ln">38</span>     public function index()
<span class="ln">39</span>     {
<span class="error"><span class="ln error-ln">40</span>         $aData = $this-&gt;_checkintegrity();
</span><span class="ln">41</span> 
<span class="ln">42</span> 
<span class="ln">43</span>         $aData['fullpagebar']['returnbutton']['url'] = 'admin/index';
<span class="ln">44</span>         $aData['fullpagebar']['returnbutton']['text'] = gT('Return to admin home');
<span class="ln">45</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>CheckIntegrity</strong>-&gt;<strong>index</strong>()				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;.\limesurvey\framework\web\actions\CAction.php(115): <strong>ReflectionMethod</strong>-&gt;<strong>invokeArgs</strong>(CheckIntegrity, array())				</div>

				<div class="code"><pre><span class="ln">110</span>             elseif($param-&gt;isDefaultValueAvailable())
<span class="ln">111</span>                 $ps[]=$param-&gt;getDefaultValue();
<span class="ln">112</span>             else
<span class="ln">113</span>                 return false;
<span class="ln">114</span>         }
<span class="error"><span class="ln error-ln">115</span>         $method-&gt;invokeArgs($object,$ps);
</span><span class="ln">116</span>         return true;
<span class="ln">117</span>     }
<span class="ln">118</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;.\limesurvey\application\core\Survey_Common_Action.php(83): <strong>CAction</strong>-&gt;<strong>runWithParamsInternal</strong>(CheckIntegrity, ReflectionMethod, array("r" =&gt; "admin/checkintegrity"))				</div>

				<div class="code"><pre><span class="ln">78</span>             $oMethod = new ReflectionMethod($this, $sDefault);
<span class="ln">79</span>         }
<span class="ln">80</span> 
<span class="ln">81</span>         // We're all good to go, let's execute it
<span class="ln">82</span>         // runWithParamsInternal would automatically get the parameters of the method and populate them as required with the params
<span class="error"><span class="ln error-ln">83</span>         return parent::runWithParamsInternal($this, $oMethod, $params);
</span><span class="ln">84</span>     }
<span class="ln">85</span> 
<span class="ln">86</span>     /**
<span class="ln">87</span>      * Some functions have different parameters, which are just an alias of the
<span class="ln">88</span>      * usual parameters we're getting in the url. This function just populates
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;.\limesurvey\framework\web\CController.php(308): <strong>Survey_Common_Action</strong>-&gt;<strong>runWithParams</strong>(array("r" =&gt; "admin/checkintegrity"))				</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;.\limesurvey\framework\web\CController.php(286): <strong>CController</strong>-&gt;<strong>runAction</strong>(CheckIntegrity)				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;.\limesurvey\framework\web\CController.php(265): <strong>CController</strong>-&gt;<strong>runActionWithFilters</strong>(CheckIntegrity, array())				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;.\limesurvey\application\controllers\AdminController.php(165): <strong>CController</strong>-&gt;<strong>run</strong>("checkintegrity")				</div>

				<div class="code"><pre><span class="ln">160</span>                     $this-&gt;redirect(array('/admin/authentication/sa/login'));
<span class="ln">161</span>                 }
<span class="ln">162</span>             }
<span class="ln">163</span>         }
<span class="ln">164</span> 
<span class="error"><span class="ln error-ln">165</span>         return parent::run($action);
</span><span class="ln">166</span>     }
<span class="ln">167</span> 
<span class="ln">168</span>     /**
<span class="ln">169</span>      * Routes all the actions to their respective places
<span class="ln">170</span>      *
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#13			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;.\limesurvey\framework\web\CWebApplication.php(282): <strong>AdminController</strong>-&gt;<strong>run</strong>("checkintegrity")				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
<span class="ln">287</span>                 array('{route}'=&gt;$route===''?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#14			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;.\limesurvey\framework\web\CWebApplication.php(141): <strong>CWebApplication</strong>-&gt;<strong>runController</strong>("admin/checkintegrity")				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#15			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;.\limesurvey\framework\base\CApplication.php(185): <strong>CWebApplication</strong>-&gt;<strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler('onBeginRequest'))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,'end'),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler('onEndRequest'))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#16			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;.\limesurvey\index.php(194): <strong>CApplication</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">189</span> require_once APPPATH . 'core/LSYii_Application' . EXT;
<span class="ln">190</span> 
<span class="ln">191</span> $config = require_once(APPPATH . 'config/internal' . EXT);
<span class="ln">192</span> 
<span class="ln">193</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">194</span> Yii::createApplication('LSYii_Application', $config)-&gt;run();
</span><span class="ln">195</span> 
<span class="ln">196</span> /* End of file index.php */
<span class="ln">197</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</tbody></table>
	</div>

	<div class="version">
		2021-07-21 10:13:31 Microsoft-IIS/10.0 <a href="http://www.yiiframework.com/">Yii Framework</a>/1.1.24-dev	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>



<div id="grammalecte_menu_main_button_shadow_host" style="width: 0px; height: 0px;"></div></body><script src="CDbException_fichiers/api.js"></script></html>
CDbException.html (25,634 bytes)   
ollehar

ollehar

2021-07-21 12:36

administrator   ~65516

lss?

DenisChenu

DenisChenu

2021-07-21 12:44

developer   ~65517

Why ?
qid is resetted …

But i check with 99999999999999999997 to see what happen on mariadb too

DenisChenu

DenisChenu

2021-07-21 12:46

developer   ~65518

No int (php)

500 Erreur interne au serveur.html (13,053 bytes)   
<!DOCTYPE html>
<html dir="ltr" class="fr dir-ltr  no-js " lang="fr"><head>    






    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="LimeSurvey http://www.limesurvey.org">
        
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/jquery-ui.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/font-awesome.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/bootstrap_002.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/yiistrap.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/bootstrap-switch.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/select2.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/select2-bootstrap.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/bootstrap-datetimepicker.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/roboto.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/icomoon.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/lstutorial.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/adminbasics.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/adminsidepanel.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/lime-admin-colors.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/statistics.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/own-fix.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/survey.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/custom.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/minimal.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/skelvanilla.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/bootstrap.css">
<link rel="stylesheet" type="text/css" href="500%20Erreur%20interne%20au%20serveur_fichiers/theme.css">
<script type="text/javascript">window.debugState = {frontend : (0 === 1), backend : (0 === 1)};</script><script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/jquery-3.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/jquery-migrate-3.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/jquery-ui.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/adminbasics.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/adminsidepanel.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/js.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/bootstrap.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/bootstrapconfirm.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/moment-with-locales.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/select2.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/lslog.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/pjax_002.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/ckeditor.js" class="headScriptTag"></script><style>.cke{visibility:hidden;}</style>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/config.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/ckeditoradditions.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/adapt.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/survey.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/template-core.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/pjax.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/custom.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/aria-live.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/theme-vanilla.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/skelvanilla.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/theme.js" class="headScriptTag"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/em_javascript.js" class="headScriptTag"></script>
<script type="text/javascript">
/*<![CDATA[*/

           LS.globalUserId = "1";
LSvar= LSvar || {};
LSvar.bFixNumAuto = 0;
LSvar.bNumRealValue = 1;
/*]]>*/
</script>
<title>
                500 : Erreur interne au serveur
    </title>
    <script type="text/javascript">
        if(window.basicThemeScripts === undefined){ 
            window.basicThemeScripts = new ThemeScripts(); 
        }
    $.fn.select2.defaults.set("theme", "bootstrap");
    </script>
        
            
        
        <link rel="icon" type="image/png" sizes="32x32" href="http://limesurvey.local/3LTS/tmp/assets/8847910a/favicon-32x32.png">
<link rel="icon" type="image/png" sizes="96x96" href="http://limesurvey.local/3LTS/tmp/assets/8847910a/favicon-96x96.png">
<link rel="icon" type="image/png" sizes="16x16" href="http://limesurvey.local/3LTS/tmp/assets/8847910a/favicon-16x16.png">

    
</head>

    
                            <body class="skelvanilla vanilla minimal bootstrap lang-fr table-fixed-header body-loaded"><script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/bootstrap-switch.js"></script>
<script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/bootstrap-datetimepicker.js"></script>
<script type="text/javascript">
/*<![CDATA[*/
var LEMmode='survey';
var LEMgseq='';
ExprMgr_process_relevance_and_tailoring = function(evt_type,sgqa,type){
if (typeof LEM_initialized == 'undefined') {
LEM_initialized=true;
LEMsetTabIndexes();
}
if (evt_type == 'onchange' && (typeof last_sgqa !== 'undefined' && sgqa==last_sgqa) && (typeof last_evt_type !== 'undefined' && last_evt_type == 'TAB' && type != 'checkbox')) {
  last_evt_type='onchange';
  last_sgqa=sgqa;
  return;
}
last_evt_type = evt_type;
last_sgqa=sgqa;
  relChange3652=false;
  relChangeG0=false;
  LEMrel3652(sgqa);
  LEMrel3652(sgqa);

}
function LEMrel3652(sgqa){
  var UsesVars = '  ';
  if (typeof sgqa !== 'undefined' && !LEMregexMatch('/ java' + sgqa + ' /', UsesVars)) {
  return;
 }

if (1)
{
  LEMval3652(sgqa);
  relChange3652=true;
  $('#relevance3652').val('1');
}
$('#relevance3652').val('1');  // always true
}
function LEMval3652(sgqa){
  isValidSum3652=true;
  isValidOther3652=true;
  isValidOtherComment3652=true;

  if(((1))){
    $('#vmsg_3652_default').trigger('classChangeGood');
  }
  else {
    $('#vmsg_3652_default').trigger('classChangeError');
    isValidOther3652=false;
  }

  if(isValidSum3652){
    $('#totalvalue_3652').trigger('classChangeGood');
  }
  else {
    $('#totalvalue_3652').trigger('classChangeError');
  }
}

/*]]>*/
</script>

        <div id="dynamicReloadContainer">
                                                                    
    <!-- Bootstrap Navigation Bar -->
        <header class=" navbar navbar-default navbar-static-top hidden-print" role="banner">
        <div class="container-fluid" role="navigation">
                        <div class=" navbar-header ">
                
                                    
                                                    <h1 class=" navbar-brand  ">
                                                                            500 : Erreur interne au serveur
                                            </h1>
                            </div>
                            
                    </div>
    </header>

                                                    
                                <!-- Outer Frame Container -->
                <main class=" outerframe   container  " id="outerframeContainer">
    <div class="well">
                    <h1 class="text-danger">500 : Erreur interne au serveur</h1>
                <div class="h2">sQID is not an integer: 36529999999999999999997
        <div>
            Une erreur interne est survenue quand le serveur Web traitait votre requête.
        </div>
        
        <p class="small text-right">
                            Veuillez contacter Denis Chenu pour rapporter ce problème.
                    </p>
    </div>
</div></main>
                                                



<!-- Bootstrap Modal Alert -->
<div id="bootstrap-alert-box-modal" class=" modal fade ">
    <div class=" modal-dialog ">
        <div class=" modal-content ">
            <div class=" modal-header " style="min-height:40px;">
                <button type="button" data-dismiss="modal" aria-hidden="true" aria-label="Fermer" class=" close "><span aria-hidden="true">×</span><span class="sr-only">Fermer</span></button>
                <div class=" modal-title h4 ">&nbsp;</div>
            </div>
            <div class=" modal-body ">
            </div>
            <div class=" modal-footer ">
                <a href="#" data-dismiss="modal" class=" btn btn-default ">Fermer</a>
            </div>
        </div>
    </div>
</div>

                            
                            <!-- <footer class="navbar-default"></footer> -->

                    </div>
                <div id="ajax-loading" aria-hidden="true"><i class="loader fa fa-circle-o-notch fa-spin fa-3x fa-fw text-muted"></i></div>
<script>
if (!window.jQuery) {
    window.onload = function() {
        body = document.getElementsByTagName('body')[0];
        body.className = body.className.replace(/\body-loading\b/,'body-loaded');
    };
}
</script>

                                            <script>
                if(window.basicThemeScripts === undefined){ 
                    window.basicThemeScripts = new ThemeScripts(); 
                } 
                basicThemeScripts.initGlobal(); 
                window.basicThemeScripts.init();
                window.TemplateAccessible.init({"dynamicValidity":false});
                window.skelVanilla.init({"bodyLoaded":true,"removeBack":false,"errorTopLinks":true});
            </script>
            <script type="text/javascript" src="500%20Erreur%20interne%20au%20serveur_fichiers/lstutorial.js"></script>
<script type="text/javascript">
/*<![CDATA[*/
jQuery('body').popover({'selector':'a\x5Brel\x3Dpopover\x5D'});
jQuery('body').tooltip({'selector':'a\x5Brel\x3Dtooltip\x5D'});

            try{ 
                triggerEmClassChange(); 
            } catch(e) {
                console.ls.warn('triggerEmClassChange could not be run. Is survey.js correctly loaded?');
            }

triggerEmRelevance();
jQuery(document).off('pjax:scriptcomplete.mainBottom').on('ready pjax:scriptcomplete.mainBottom', function() {
activateActionLink();
activateConfirmButton();
basicThemeScripts.initTopMenuLanguageChanger('.ls-language-link ', 'form#limesurvey'); 
updateMandatoryErrorClass();
});
/*]]>*/
</script>


<div id="grammalecte_menu_main_button_shadow_host" style="width: 0px; height: 0px;"></div></body><script src="500%20Erreur%20interne%20au%20serveur_fichiers/api.js"></script></html>
limesurvey_survey_NoInt500.lss (22,634 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>365</DBVersion>
 <languages>
  <language>fr</language>
 </languages>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[202]]></gid>
    <sid><![CDATA[599332]]></sid>
    <group_name><![CDATA[Mon premier groupe de question]]></group_name>
    <group_order><![CDATA[1]]></group_order>
    <description/>
    <language><![CDATA[fr]]></language>
    <randomization_group/>
    <grelevance><![CDATA[1]]></grelevance>
   </row>
  </rows>
 </groups>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>question</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>help</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[3652]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[599332]]></sid>
    <gid><![CDATA[202]]></gid>
    <type><![CDATA[M]]></type>
    <title><![CDATA[Q00]]></title>
    <question><![CDATA[Une première question comme exemple. Veuillez répondre à cette question :]]></question>
    <preg/>
    <help><![CDATA[Ceci est une texte d’aide pour la question.]]></help>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
  </rows>
 </questions>
 <subquestions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>question</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>help</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[3653]]></qid>
    <parent_qid><![CDATA[3652]]></parent_qid>
    <sid><![CDATA[599332]]></sid>
    <gid><![CDATA[202]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[9999999999999999997]]></title>
    <question><![CDATA[7]]></question>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[3654]]></qid>
    <parent_qid><![CDATA[3652]]></parent_qid>
    <sid><![CDATA[599332]]></sid>
    <gid><![CDATA[202]]></gid>
    <type><![CDATA[T]]></type>
    <title><![CDATA[9999999999999999998]]></title>
    <question/>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[2]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
  </rows>
 </subquestions>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[599332]]></sid>
    <gsid><![CDATA[1]]></gsid>
    <admin><![CDATA[Denis Chenu]]></admin>
    <adminemail><![CDATA[denis@shnoulle.net]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <faxto/>
    <format><![CDATA[G]]></format>
    <savetimings><![CDATA[N]]></savetimings>
    <template><![CDATA[skelvanilla]]></template>
    <language><![CDATA[fr]]></language>
    <additional_languages/>
    <datestamp><![CDATA[N]]></datestamp>
    <usecookie><![CDATA[N]]></usecookie>
    <allowregister><![CDATA[N]]></allowregister>
    <allowsave><![CDATA[Y]]></allowsave>
    <autonumber_start><![CDATA[1]]></autonumber_start>
    <autoredirect><![CDATA[N]]></autoredirect>
    <allowprev><![CDATA[N]]></allowprev>
    <printanswers><![CDATA[N]]></printanswers>
    <ipaddr><![CDATA[N]]></ipaddr>
    <refurl><![CDATA[N]]></refurl>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
    <publicstatistics><![CDATA[N]]></publicstatistics>
    <publicgraphs><![CDATA[N]]></publicgraphs>
    <listpublic><![CDATA[N]]></listpublic>
    <htmlemail><![CDATA[Y]]></htmlemail>
    <sendconfirmation><![CDATA[Y]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[N]]></tokenanswerspersistence>
    <assessments><![CDATA[N]]></assessments>
    <usecaptcha><![CDATA[N]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[denis@shnoulle.net]]></bounce_email>
    <emailresponseto/>
    <emailnotificationto/>
    <tokenlength><![CDATA[15]]></tokenlength>
    <showxquestions><![CDATA[Y]]></showxquestions>
    <showgroupinfo><![CDATA[B]]></showgroupinfo>
    <shownoanswer><![CDATA[N]]></shownoanswer>
    <showqnumcode><![CDATA[X]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[Y]]></showwelcome>
    <showprogress><![CDATA[Y]]></showprogress>
    <questionindex><![CDATA[0]]></questionindex>
    <navigationdelay><![CDATA[0]]></navigationdelay>
    <nokeyboard><![CDATA[N]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[N]]></alloweditaftercompletion>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[599332]]></surveyls_survey_id>
    <surveyls_language><![CDATA[fr]]></surveyls_language>
    <surveyls_title><![CDATA[Check]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Invitation à participer à un questionnaire]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Cher(e) {FIRSTNAME},<br />
<br />
Vous avez été invité(e) à participer à un questionnaire.<br />
<br />
Celui-ci est intitulé :<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
Pour participer, veuillez cliquer sur le lien ci-dessous.<br />
<br />
Cordialement,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Cliquez ici pour remplir ce questionnaire :<br />
{SURVEYURL}<br />
<br />
Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />
{OPTOUTURL}<br />
<br />
Si vous êtes sur liste noire mais que vous voulez participer à ce questionnaire et recevoir les invitations, merci de cliquer sur le lien suivant :<br />
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Rappel pour participer à un questionnaire]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Cher(e) {FIRSTNAME},<br />
<br />
Vous avez été invité(e) à participer à un questionnaire récemment.<br />
<br />
Nous avons pris en compte que vous n’avez pas encore complété le questionnaire, et nous vous rappelons que celui-ci est toujours disponible si vous souhaitez participer.<br />
<br />
Le questionnaire est intitulé :<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
Pour participer, veuillez cliquer sur le lien ci-dessous.<br />
<br />
Cordialement,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Cliquez ici pour faire le questionnaire :<br />
{SURVEYURL}<br />
<br />
Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Confirmation d’enregistrement pour le questionnaire]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Bonjour {FIRSTNAME},<br />
<br />
Vous (ou quelqu’un utilisant votre adresse électronique) vous êtes enregistré pour participer à un questionnaire en ligne intitulé {SURVEYNAME}.<br />
<br />
Pour compléter ce questionnaire, cliquez sur le lien suivant :<br />
{SURVEYURL}<br />
<br />
Si vous avez des questions à propos de ce questionnaire, ou si vous ne vous êtes pas enregistré pour participer à celui-ci et croyez que ce message est une erreur, veuillez contacter {ADMINNAME} à l’adresse {ADMINEMAIL}]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation de votre participation à notre questionnaire]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Bonjour {FIRSTNAME},<br />
<br />
Ce message vous confirme que vous avez complété le questionnaire intitulé {SURVEYNAME} et que votre réponse a été enregistrée. Merci pour votre participation.<br />
<br />
Si vous avez des questions à propos de ce message, veuillez contacter {ADMINNAME} à l’adresse {ADMINEMAIL}.<br />
<br />
Cordialement,<br />
<br />
{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[1]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Soumission de réponse pour le questionnaire {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Bonjour,<br />
<br />
Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br />
<br />
Cliquez sur le lien suivant pour voir la réponse :<br />
{VIEWRESPONSEURL}<br />
<br />
Cliquez sur le lien suivant pour éditer la réponse :<br />
{EDITRESPONSEURL}<br />
<br />
Visualisez les statistiques en cliquant ici :<br />
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Soumission de réponse pour le questionnaire {SURVEYNAME} avec résultats]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Bonjour,<br />
<br />
Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br />
<br />
Cliquez sur le lien suivant pour voir cette réponse :<br />
{VIEWRESPONSEURL}<br />
<br />
Cliquez sur le lien suivant pour éditer cette réponse individuelle :<br />
{EDITRESPONSEURL}<br />
<br />
Visualisez les statistiques en cliquant ici :<br />
{STATISTICSURL}<br />
<br />
<br />
Les réponses suivantes ont été données par le participant :<br />
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>599332</sid>
   <template_name>skelvanilla</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>599332</sid>
   <template_name>skelvanilla</template_name>
   <config>
    <options>
     <hideprivacyinfo>off</hideprivacyinfo>
     <container>on</container>
     <questionhtag>off</questionhtag>
     <brandlogo>off</brandlogo>
     <brandlogofile>./files/logo.png</brandlogofile>
     <brandlogoasbanner>off</brandlogoasbanner>
     <surveylistlogo>on</surveylistlogo>
     <surveylistlogofile>./files/survey_list_header.png</surveylistlogofile>
     <poweredlogo>on</poweredlogo>
     <poweredlogofile>./files/poweredby.png</poweredlogofile>
     <poweredlink>https://sondages.pro</poweredlink>
     <poweredtext>Theme by Sondages Pro</poweredtext>
     <errorattop>on</errorattop>
     <questioncolor>primary</questioncolor>
     <questionwrap>none</questionwrap>
     <questionsize>h4</questionsize>
     <helpcolor>text-info</helpcolor>
     <validitycolor>text-info</validitycolor>
     <fixedheader>off</fixedheader>
     <headercontainer>off</headercontainer>
     <titlelocation>header</titlelocation>
     <theme>off</theme>
     <bodyloaded>on</bodyloaded>
     <removeback>on</removeback>
     <fixnumauto>disable</fixnumauto>
     <dynamicvalidity>off</dynamicvalidity>
     <savelink>on</savelink>
     <clearalllink>on</clearalllink>
     <indexlink>on</indexlink>
     <languagelink>on</languagelink>
     <previouslink>off</previouslink>
     <nextsubmitlink>off</nextsubmitlink>
     <showclearall>on</showclearall>
     <tableheader>on</tableheader>
     <availablevariations>{
  &quot;contrast&quot;: {
    &quot;name&quot;: &quot;Contrast&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;bootstrap&quot;: {
    &quot;name&quot;: &quot;Bootstrap&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cerulean&quot;: {
    &quot;name&quot;: &quot;Cerulean&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cosmo&quot;: {
    &quot;name&quot;: &quot;Cosmo&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cyborg&quot;: {
    &quot;name&quot;: &quot;Cyborg&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;darkly&quot;: {
    &quot;name&quot;: &quot;Darkly&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;flatly&quot;: {
    &quot;name&quot;: &quot;Flatly&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;journal&quot;: {
    &quot;name&quot;: &quot;Journal&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;lumen&quot;: {
    &quot;name&quot;: &quot;Lumen&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;paper&quot;: {
    &quot;name&quot;: &quot;Paper&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;readable&quot;: {
    &quot;name&quot;: &quot;Readable&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;sandstone&quot;: {
    &quot;name&quot;: &quot;Sandstone&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;simplex&quot;: {
    &quot;name&quot;: &quot;Simplex&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;slate&quot;: {
    &quot;name&quot;: &quot;Slate&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;spacelab&quot;: {
    &quot;name&quot;: &quot;Spacelab&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;superhero&quot;: {
    &quot;name&quot;: &quot;Superhero&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;united&quot;: {
    &quot;name&quot;: &quot;United&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;yeti&quot;: {
    &quot;name&quot;: &quot;Yeti&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-apple_blossom&quot;: {
    &quot;name&quot;: &quot;(Fruity) Apple Blossom&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-black_pearl&quot;: {
    &quot;name&quot;: &quot;(Fruity) Black Pearl&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-free_magenta&quot;: {
    &quot;name&quot;: &quot;(Fruity) Free magenta&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-purple_tentacle&quot;: {
    &quot;name&quot;: &quot;(Fruity) Purple Tentacle&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-sea_green&quot;: {
    &quot;name&quot;: &quot;(Fruity) Sea Green&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-skyline_blue&quot;: {
    &quot;name&quot;: &quot;(Fruity) Skyline Blue&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-sunset_orange&quot;: {
    &quot;name&quot;: &quot;(Fruity) Sunset Orange&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  }
}</availablevariations>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
limesurvey_survey_NoInt500.lss (22,634 bytes)   
DenisChenu

DenisChenu

2021-07-21 12:53

developer   ~65519

qid: 3652 / subqid code 999997 : no issue in mariadb
even if 3652999997 > 2147483647

Check with 2147483647 : still no SQL broke (on mariadb)

limesurvey_survey_2147483647.lss (22,671 bytes)   
<?xml version="1.0" encoding="UTF-8"?>
<document>
 <LimeSurveyDocType>Survey</LimeSurveyDocType>
 <DBVersion>365</DBVersion>
 <languages>
  <language>fr</language>
 </languages>
 <groups>
  <fields>
   <fieldname>gid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>group_name</fieldname>
   <fieldname>group_order</fieldname>
   <fieldname>description</fieldname>
   <fieldname>language</fieldname>
   <fieldname>randomization_group</fieldname>
   <fieldname>grelevance</fieldname>
  </fields>
  <rows>
   <row>
    <gid><![CDATA[202]]></gid>
    <sid><![CDATA[599332]]></sid>
    <group_name><![CDATA[Mon premier groupe de question]]></group_name>
    <group_order><![CDATA[1]]></group_order>
    <description/>
    <language><![CDATA[fr]]></language>
    <randomization_group/>
    <grelevance><![CDATA[1]]></grelevance>
   </row>
  </rows>
 </groups>
 <questions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>question</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>help</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[3652]]></qid>
    <parent_qid><![CDATA[0]]></parent_qid>
    <sid><![CDATA[599332]]></sid>
    <gid><![CDATA[202]]></gid>
    <type><![CDATA[M]]></type>
    <title><![CDATA[Q00]]></title>
    <question><![CDATA[Une première question comme exemple. Veuillez répondre à cette question :]]></question>
    <preg/>
    <help><![CDATA[Ceci est une texte d’aide pour la question.]]></help>
    <other><![CDATA[N]]></other>
    <mandatory><![CDATA[N]]></mandatory>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
    <modulename/>
   </row>
  </rows>
 </questions>
 <subquestions>
  <fields>
   <fieldname>qid</fieldname>
   <fieldname>parent_qid</fieldname>
   <fieldname>sid</fieldname>
   <fieldname>gid</fieldname>
   <fieldname>type</fieldname>
   <fieldname>title</fieldname>
   <fieldname>question</fieldname>
   <fieldname>preg</fieldname>
   <fieldname>help</fieldname>
   <fieldname>other</fieldname>
   <fieldname>mandatory</fieldname>
   <fieldname>question_order</fieldname>
   <fieldname>language</fieldname>
   <fieldname>scale_id</fieldname>
   <fieldname>same_default</fieldname>
   <fieldname>relevance</fieldname>
   <fieldname>modulename</fieldname>
  </fields>
  <rows>
   <row>
    <qid><![CDATA[3653]]></qid>
    <parent_qid><![CDATA[3652]]></parent_qid>
    <sid><![CDATA[599332]]></sid>
    <gid><![CDATA[202]]></gid>
    <type><![CDATA[M]]></type>
    <title><![CDATA[2147483647]]></title>
    <question><![CDATA[2147483647 (int mariadb)]]></question>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[1]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
   <row>
    <qid><![CDATA[3654]]></qid>
    <parent_qid><![CDATA[3652]]></parent_qid>
    <sid><![CDATA[599332]]></sid>
    <gid><![CDATA[202]]></gid>
    <type><![CDATA[M]]></type>
    <title><![CDATA[3000000000]]></title>
    <question><![CDATA[3000000000]]></question>
    <other><![CDATA[N]]></other>
    <question_order><![CDATA[2]]></question_order>
    <language><![CDATA[fr]]></language>
    <scale_id><![CDATA[0]]></scale_id>
    <same_default><![CDATA[0]]></same_default>
    <relevance><![CDATA[1]]></relevance>
   </row>
  </rows>
 </subquestions>
 <surveys>
  <fields>
   <fieldname>sid</fieldname>
   <fieldname>gsid</fieldname>
   <fieldname>admin</fieldname>
   <fieldname>expires</fieldname>
   <fieldname>startdate</fieldname>
   <fieldname>adminemail</fieldname>
   <fieldname>anonymized</fieldname>
   <fieldname>faxto</fieldname>
   <fieldname>format</fieldname>
   <fieldname>savetimings</fieldname>
   <fieldname>template</fieldname>
   <fieldname>language</fieldname>
   <fieldname>additional_languages</fieldname>
   <fieldname>datestamp</fieldname>
   <fieldname>usecookie</fieldname>
   <fieldname>allowregister</fieldname>
   <fieldname>allowsave</fieldname>
   <fieldname>autonumber_start</fieldname>
   <fieldname>autoredirect</fieldname>
   <fieldname>allowprev</fieldname>
   <fieldname>printanswers</fieldname>
   <fieldname>ipaddr</fieldname>
   <fieldname>refurl</fieldname>
   <fieldname>showsurveypolicynotice</fieldname>
   <fieldname>publicstatistics</fieldname>
   <fieldname>publicgraphs</fieldname>
   <fieldname>listpublic</fieldname>
   <fieldname>htmlemail</fieldname>
   <fieldname>sendconfirmation</fieldname>
   <fieldname>tokenanswerspersistence</fieldname>
   <fieldname>assessments</fieldname>
   <fieldname>usecaptcha</fieldname>
   <fieldname>usetokens</fieldname>
   <fieldname>bounce_email</fieldname>
   <fieldname>attributedescriptions</fieldname>
   <fieldname>emailresponseto</fieldname>
   <fieldname>emailnotificationto</fieldname>
   <fieldname>tokenlength</fieldname>
   <fieldname>showxquestions</fieldname>
   <fieldname>showgroupinfo</fieldname>
   <fieldname>shownoanswer</fieldname>
   <fieldname>showqnumcode</fieldname>
   <fieldname>bouncetime</fieldname>
   <fieldname>bounceprocessing</fieldname>
   <fieldname>bounceaccounttype</fieldname>
   <fieldname>bounceaccounthost</fieldname>
   <fieldname>bounceaccountpass</fieldname>
   <fieldname>bounceaccountencryption</fieldname>
   <fieldname>bounceaccountuser</fieldname>
   <fieldname>showwelcome</fieldname>
   <fieldname>showprogress</fieldname>
   <fieldname>questionindex</fieldname>
   <fieldname>navigationdelay</fieldname>
   <fieldname>nokeyboard</fieldname>
   <fieldname>alloweditaftercompletion</fieldname>
   <fieldname>googleanalyticsstyle</fieldname>
   <fieldname>googleanalyticsapikey</fieldname>
  </fields>
  <rows>
   <row>
    <sid><![CDATA[599332]]></sid>
    <gsid><![CDATA[1]]></gsid>
    <admin><![CDATA[Denis Chenu]]></admin>
    <adminemail><![CDATA[denis@shnoulle.net]]></adminemail>
    <anonymized><![CDATA[N]]></anonymized>
    <faxto/>
    <format><![CDATA[G]]></format>
    <savetimings><![CDATA[N]]></savetimings>
    <template><![CDATA[skelvanilla]]></template>
    <language><![CDATA[fr]]></language>
    <additional_languages/>
    <datestamp><![CDATA[N]]></datestamp>
    <usecookie><![CDATA[N]]></usecookie>
    <allowregister><![CDATA[N]]></allowregister>
    <allowsave><![CDATA[Y]]></allowsave>
    <autonumber_start><![CDATA[1]]></autonumber_start>
    <autoredirect><![CDATA[N]]></autoredirect>
    <allowprev><![CDATA[N]]></allowprev>
    <printanswers><![CDATA[N]]></printanswers>
    <ipaddr><![CDATA[N]]></ipaddr>
    <refurl><![CDATA[N]]></refurl>
    <showsurveypolicynotice><![CDATA[0]]></showsurveypolicynotice>
    <publicstatistics><![CDATA[N]]></publicstatistics>
    <publicgraphs><![CDATA[N]]></publicgraphs>
    <listpublic><![CDATA[N]]></listpublic>
    <htmlemail><![CDATA[Y]]></htmlemail>
    <sendconfirmation><![CDATA[Y]]></sendconfirmation>
    <tokenanswerspersistence><![CDATA[N]]></tokenanswerspersistence>
    <assessments><![CDATA[N]]></assessments>
    <usecaptcha><![CDATA[N]]></usecaptcha>
    <usetokens><![CDATA[N]]></usetokens>
    <bounce_email><![CDATA[denis@shnoulle.net]]></bounce_email>
    <emailresponseto/>
    <emailnotificationto/>
    <tokenlength><![CDATA[15]]></tokenlength>
    <showxquestions><![CDATA[Y]]></showxquestions>
    <showgroupinfo><![CDATA[B]]></showgroupinfo>
    <shownoanswer><![CDATA[N]]></shownoanswer>
    <showqnumcode><![CDATA[X]]></showqnumcode>
    <bounceprocessing><![CDATA[N]]></bounceprocessing>
    <showwelcome><![CDATA[Y]]></showwelcome>
    <showprogress><![CDATA[Y]]></showprogress>
    <questionindex><![CDATA[0]]></questionindex>
    <navigationdelay><![CDATA[0]]></navigationdelay>
    <nokeyboard><![CDATA[N]]></nokeyboard>
    <alloweditaftercompletion><![CDATA[N]]></alloweditaftercompletion>
   </row>
  </rows>
 </surveys>
 <surveys_languagesettings>
  <fields>
   <fieldname>surveyls_survey_id</fieldname>
   <fieldname>surveyls_language</fieldname>
   <fieldname>surveyls_title</fieldname>
   <fieldname>surveyls_description</fieldname>
   <fieldname>surveyls_welcometext</fieldname>
   <fieldname>surveyls_endtext</fieldname>
   <fieldname>surveyls_policy_notice</fieldname>
   <fieldname>surveyls_policy_error</fieldname>
   <fieldname>surveyls_policy_notice_label</fieldname>
   <fieldname>surveyls_url</fieldname>
   <fieldname>surveyls_urldescription</fieldname>
   <fieldname>surveyls_email_invite_subj</fieldname>
   <fieldname>surveyls_email_invite</fieldname>
   <fieldname>surveyls_email_remind_subj</fieldname>
   <fieldname>surveyls_email_remind</fieldname>
   <fieldname>surveyls_email_register_subj</fieldname>
   <fieldname>surveyls_email_register</fieldname>
   <fieldname>surveyls_email_confirm_subj</fieldname>
   <fieldname>surveyls_email_confirm</fieldname>
   <fieldname>surveyls_dateformat</fieldname>
   <fieldname>surveyls_attributecaptions</fieldname>
   <fieldname>email_admin_notification_subj</fieldname>
   <fieldname>email_admin_notification</fieldname>
   <fieldname>email_admin_responses_subj</fieldname>
   <fieldname>email_admin_responses</fieldname>
   <fieldname>surveyls_numberformat</fieldname>
   <fieldname>attachments</fieldname>
  </fields>
  <rows>
   <row>
    <surveyls_survey_id><![CDATA[599332]]></surveyls_survey_id>
    <surveyls_language><![CDATA[fr]]></surveyls_language>
    <surveyls_title><![CDATA[Check]]></surveyls_title>
    <surveyls_description/>
    <surveyls_welcometext/>
    <surveyls_endtext/>
    <surveyls_url/>
    <surveyls_urldescription/>
    <surveyls_email_invite_subj><![CDATA[Invitation à participer à un questionnaire]]></surveyls_email_invite_subj>
    <surveyls_email_invite><![CDATA[Cher(e) {FIRSTNAME},<br />
<br />
Vous avez été invité(e) à participer à un questionnaire.<br />
<br />
Celui-ci est intitulé :<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
Pour participer, veuillez cliquer sur le lien ci-dessous.<br />
<br />
Cordialement,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Cliquez ici pour remplir ce questionnaire :<br />
{SURVEYURL}<br />
<br />
Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />
{OPTOUTURL}<br />
<br />
Si vous êtes sur liste noire mais que vous voulez participer à ce questionnaire et recevoir les invitations, merci de cliquer sur le lien suivant :<br />
{OPTINURL}]]></surveyls_email_invite>
    <surveyls_email_remind_subj><![CDATA[Rappel pour participer à un questionnaire]]></surveyls_email_remind_subj>
    <surveyls_email_remind><![CDATA[Cher(e) {FIRSTNAME},<br />
<br />
Vous avez été invité(e) à participer à un questionnaire récemment.<br />
<br />
Nous avons pris en compte que vous n’avez pas encore complété le questionnaire, et nous vous rappelons que celui-ci est toujours disponible si vous souhaitez participer.<br />
<br />
Le questionnaire est intitulé :<br />
"{SURVEYNAME}"<br />
<br />
"{SURVEYDESCRIPTION}"<br />
<br />
Pour participer, veuillez cliquer sur le lien ci-dessous.<br />
<br />
Cordialement,<br />
<br />
{ADMINNAME} ({ADMINEMAIL})<br />
<br />
----------------------------------------------<br />
Cliquez ici pour faire le questionnaire :<br />
{SURVEYURL}<br />
<br />
Si vous ne souhaitez pas participer à ce questionnaire et ne souhaitez plus recevoir aucune invitation, veuillez cliquer sur le lien suivant :<br />
{OPTOUTURL}]]></surveyls_email_remind>
    <surveyls_email_register_subj><![CDATA[Confirmation d’enregistrement pour le questionnaire]]></surveyls_email_register_subj>
    <surveyls_email_register><![CDATA[Bonjour {FIRSTNAME},<br />
<br />
Vous (ou quelqu’un utilisant votre adresse électronique) vous êtes enregistré pour participer à un questionnaire en ligne intitulé {SURVEYNAME}.<br />
<br />
Pour compléter ce questionnaire, cliquez sur le lien suivant :<br />
{SURVEYURL}<br />
<br />
Si vous avez des questions à propos de ce questionnaire, ou si vous ne vous êtes pas enregistré pour participer à celui-ci et croyez que ce message est une erreur, veuillez contacter {ADMINNAME} à l’adresse {ADMINEMAIL}]]></surveyls_email_register>
    <surveyls_email_confirm_subj><![CDATA[Confirmation de votre participation à notre questionnaire]]></surveyls_email_confirm_subj>
    <surveyls_email_confirm><![CDATA[Bonjour {FIRSTNAME},<br />
<br />
Ce message vous confirme que vous avez complété le questionnaire intitulé {SURVEYNAME} et que votre réponse a été enregistrée. Merci pour votre participation.<br />
<br />
Si vous avez des questions à propos de ce message, veuillez contacter {ADMINNAME} à l’adresse {ADMINEMAIL}.<br />
<br />
Cordialement,<br />
<br />
{ADMINNAME}]]></surveyls_email_confirm>
    <surveyls_dateformat><![CDATA[1]]></surveyls_dateformat>
    <email_admin_notification_subj><![CDATA[Soumission de réponse pour le questionnaire {SURVEYNAME}]]></email_admin_notification_subj>
    <email_admin_notification><![CDATA[Bonjour,<br />
<br />
Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br />
<br />
Cliquez sur le lien suivant pour voir la réponse :<br />
{VIEWRESPONSEURL}<br />
<br />
Cliquez sur le lien suivant pour éditer la réponse :<br />
{EDITRESPONSEURL}<br />
<br />
Visualisez les statistiques en cliquant ici :<br />
{STATISTICSURL}]]></email_admin_notification>
    <email_admin_responses_subj><![CDATA[Soumission de réponse pour le questionnaire {SURVEYNAME} avec résultats]]></email_admin_responses_subj>
    <email_admin_responses><![CDATA[Bonjour,<br />
<br />
Une nouvelle réponse a été soumise pour votre questionnaire '{SURVEYNAME}'.<br />
<br />
Cliquez sur le lien suivant pour voir cette réponse :<br />
{VIEWRESPONSEURL}<br />
<br />
Cliquez sur le lien suivant pour éditer cette réponse individuelle :<br />
{EDITRESPONSEURL}<br />
<br />
Visualisez les statistiques en cliquant ici :<br />
{STATISTICSURL}<br />
<br />
<br />
Les réponses suivantes ont été données par le participant :<br />
{ANSWERTABLE}]]></email_admin_responses>
    <surveyls_numberformat><![CDATA[0]]></surveyls_numberformat>
   </row>
  </rows>
 </surveys_languagesettings>
 <themes>
  <theme>
   <sid>599332</sid>
   <template_name>skelvanilla</template_name>
   <config>
    <options>inherit</options>
   </config>
  </theme>
 </themes>
 <themes_inherited>
  <theme>
   <sid>599332</sid>
   <template_name>skelvanilla</template_name>
   <config>
    <options>
     <hideprivacyinfo>off</hideprivacyinfo>
     <container>on</container>
     <questionhtag>off</questionhtag>
     <brandlogo>off</brandlogo>
     <brandlogofile>./files/logo.png</brandlogofile>
     <brandlogoasbanner>off</brandlogoasbanner>
     <surveylistlogo>on</surveylistlogo>
     <surveylistlogofile>./files/survey_list_header.png</surveylistlogofile>
     <poweredlogo>on</poweredlogo>
     <poweredlogofile>./files/poweredby.png</poweredlogofile>
     <poweredlink>https://sondages.pro</poweredlink>
     <poweredtext>Theme by Sondages Pro</poweredtext>
     <errorattop>on</errorattop>
     <questioncolor>primary</questioncolor>
     <questionwrap>none</questionwrap>
     <questionsize>h4</questionsize>
     <helpcolor>text-info</helpcolor>
     <validitycolor>text-info</validitycolor>
     <fixedheader>off</fixedheader>
     <headercontainer>off</headercontainer>
     <titlelocation>header</titlelocation>
     <theme>off</theme>
     <bodyloaded>on</bodyloaded>
     <removeback>on</removeback>
     <fixnumauto>disable</fixnumauto>
     <dynamicvalidity>off</dynamicvalidity>
     <savelink>on</savelink>
     <clearalllink>on</clearalllink>
     <indexlink>on</indexlink>
     <languagelink>on</languagelink>
     <previouslink>off</previouslink>
     <nextsubmitlink>off</nextsubmitlink>
     <showclearall>on</showclearall>
     <tableheader>on</tableheader>
     <availablevariations>{
  &quot;contrast&quot;: {
    &quot;name&quot;: &quot;Contrast&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;bootstrap&quot;: {
    &quot;name&quot;: &quot;Bootstrap&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cerulean&quot;: {
    &quot;name&quot;: &quot;Cerulean&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cosmo&quot;: {
    &quot;name&quot;: &quot;Cosmo&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;cyborg&quot;: {
    &quot;name&quot;: &quot;Cyborg&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;darkly&quot;: {
    &quot;name&quot;: &quot;Darkly&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;flatly&quot;: {
    &quot;name&quot;: &quot;Flatly&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;journal&quot;: {
    &quot;name&quot;: &quot;Journal&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;lumen&quot;: {
    &quot;name&quot;: &quot;Lumen&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;paper&quot;: {
    &quot;name&quot;: &quot;Paper&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;readable&quot;: {
    &quot;name&quot;: &quot;Readable&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;sandstone&quot;: {
    &quot;name&quot;: &quot;Sandstone&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;simplex&quot;: {
    &quot;name&quot;: &quot;Simplex&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;slate&quot;: {
    &quot;name&quot;: &quot;Slate&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;spacelab&quot;: {
    &quot;name&quot;: &quot;Spacelab&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;superhero&quot;: {
    &quot;name&quot;: &quot;Superhero&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;united&quot;: {
    &quot;name&quot;: &quot;United&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;yeti&quot;: {
    &quot;name&quot;: &quot;Yeti&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-apple_blossom&quot;: {
    &quot;name&quot;: &quot;(Fruity) Apple Blossom&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-black_pearl&quot;: {
    &quot;name&quot;: &quot;(Fruity) Black Pearl&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-free_magenta&quot;: {
    &quot;name&quot;: &quot;(Fruity) Free magenta&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-purple_tentacle&quot;: {
    &quot;name&quot;: &quot;(Fruity) Purple Tentacle&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-sea_green&quot;: {
    &quot;name&quot;: &quot;(Fruity) Sea Green&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-skyline_blue&quot;: {
    &quot;name&quot;: &quot;(Fruity) Skyline Blue&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  },
  &quot;fruity-sunset_orange&quot;: {
    &quot;name&quot;: &quot;(Fruity) Sunset Orange&quot;,
    &quot;base&quot;: &quot;1&quot;,
    &quot;button&quot;: &quot;1&quot;,
    &quot;awesome&quot;: &quot;1&quot;,
    &quot;button_awesome&quot;: &quot;1&quot;
  }
}</availablevariations>
    </options>
   </config>
  </theme>
 </themes_inherited>
</document>
DenisChenu

DenisChenu

2021-07-21 15:55

developer   ~65531

Last edited: 2021-07-21 15:57

broken line : https://github.com/LimeSurvey/LimeSurvey/blob/a90933d7c1c1084d69a94e2ff60c005e1d9510e7/application/controllers/admin/checkintegrity.php#L533

Since : https://github.com/LimeSurvey/LimeSurvey/blob/a90933d7c1c1084d69a94e2ff60c005e1d9510e7/application/controllers/admin/checkintegrity.php#L560

ollehar

ollehar

2021-07-21 15:58

administrator   ~65533

Oh, because max int value?

ollehar

ollehar

2021-07-21 15:58

administrator   ~65534

"99999999999999999999999999" -> int overflow when cast to int.

DenisChenu

DenisChenu

2021-07-21 16:32

developer   ~65542

"99999999999999999999999999" -> int overflow when cast to int.

Yes,
BUT : with SQL sometime PHP int is bigger than SQL int.

Then need a try/cast at https://github.com/LimeSurvey/LimeSurvey/blob/a90933d7c1c1084d69a94e2ff60c005e1d9510e7/application/controllers/admin/checkintegrity.php#L537

DenisChenu

DenisChenu

2022-03-24 14:23

developer   ~68794

Lol,

No need MSSQL, import included survey, and try to check integrity.$

DenisChenu

DenisChenu

2022-03-24 18:06

developer   ~68795

https://github.com/LimeSurvey/LimeSurvey/pull/2312

DenisChenu

DenisChenu

2022-03-24 18:19

developer   ~68796

https://github.com/LimeSurvey/LimeSurvey/pull/2313

gabrieljenik

gabrieljenik

2022-05-05 18:54

manager   ~69430

@DenisChenu

I am noticing you have 2 PRs already for this.
Assigning it to you.

DenisChenu

DenisChenu

2022-05-05 20:52

developer   ~69441

I didn't set it as "code review"

DenisChenu

DenisChenu

2022-05-06 08:48

developer   ~69453

review by other dev :)

gabrieljenik

gabrieljenik

2022-06-27 01:52

manager   ~70541

On Master: After importing the survey, run "Data Integrity", no dump.

image.png (62,026 bytes)   
image.png (62,026 bytes)   
DenisChenu

DenisChenu

2022-07-20 10:28

developer   ~71043

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=33662

DenisChenu

DenisChenu

2022-07-21 11:42

developer   ~71070

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=33665

DenisChenu

DenisChenu

2022-07-21 11:43

developer   ~71071

and 5.X

LimeBot

LimeBot

2022-07-25 10:15

administrator   ~71112

Fixed in Release 3.28.21+220726

adamzammit

adamzammit

2023-06-01 17:44

developer   ~75339

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=34757

Related Changesets

LimeSurvey: master 1dc8b53e

2022-07-20 10:28:50

DenisChenu


Committer: GitHub Details Diff
Fixed issue 17458: Check integrty broke fpor subquestion with only number (#2313)

Dev: Try cast and don't throw error
Affected Issues
17458
mod - application/controllers/admin/CheckIntegrity.php Diff File

LimeSurvey: 3.x-LTS 5031c861

2022-07-21 11:42:52

DenisChenu


Committer: GitHub Details Diff
Fixed issue 17458: Check integrity broke with SQL error (#2312)

Dev: add a try/cast
Dev: happen if subquestion title are number only
Dev: No need to check if integer, and don't throw exception …
Dev: log it as info
Affected Issues
17458
mod - application/controllers/admin/checkintegrity.php Diff File

LimeSurvey: 3.x-LTS 6cd2e8b8

2023-06-01 17:35:47

adamzammit


Committer: GitHub Details Diff
Fixed issue 17491: Multiple Short Text subquestions missing from Export Printable Survey (#3134)

* Fixed issue 17962: Export fails when called from a Cron process or console application (#2417)

* Fixed issue 18074: Exit and clear survey doesn't work (#2397)

* Fixed issue 17872: Answerfilters reset after pagination changed (#2403)

* Fixed issue 17987 : quota url need to be decoded (#2395)

* Fixed issue 17709: GUI setting for DB session lifetime does not apply (#2415)

* Dev Automatic translation update

* Release 3.28.12+220524

* Updated translation: Malay by lucas_encuesta.biz
Updated translation: Maltese by gabrieljenik

* Updated translation: Italian (Informal) by lucas_encuesta.biz

* Fixed issue #18160: [security] Update jquery-ui to 1.13.1

* Release 3.28.13+220531

* Fixed issue 18029: Removed html tags in emails (#2411)

* Fixed issue 18129 : potential 500 error in file upload (#2434)

* Fixed issue 18043: Subquestion attributes shown in Short Free text quesiton type

* Dev Update ComfortUpdate URL to get a trial key

* Revert "Fixed issue 18043: Subquestion attributes shown in Short Free text quesiton type"

This reverts commit 70bf2e78e3b33db16ee5cc6fb9a31fe94a5d9b82.

* Fixed issue: Question organizer not working

* Fixed issue 18128 : JS error on 1st survey page

* Dev Updated language description for Sami

* Dev: Avoid issue with ndebug set and null pageTailorInfo

* Fixed issue 18140: cannot import vv file (with debug set) (#2453)

Dev: remove uneeded unlink and add comment in function

* Updated translation: French (France) by DenisChenu
Updated translation: Uighur by walkingdead

* Release 3.28.14+220608

* Fixed issue 18086: Custom 'other' label text not applied to Bootstrap button layout (#2422)

* Fixed issue #18189: Fonts showing differently on mobile Vs desktop (#2467)

* Updated translation: Czech by jelen1
Updated translation: Indonesian by ysulistya
Updated translation: Czech (Informal) by jelen1

* Release 3.28.15+220616

* Updated translation: Catalan by qualitatuvic
Updated translation: French (France) by DenisChenu, Xave
Updated translation: Polish by elissa
Updated translation: Polish (Informal) by elissa

* Release 3.28.16+220621

* Fixed issue 18186: Language changer does not work in registration page (#2474)

Fixed issue 18186: Language changer does not work in registration page
Dev: same fix than master
Dev: keyboard navigation OK
Dev: submit button OK

* Fixed issue: Error after user deletion

* Release 3.28.17+220627

* Fixed issue #18189: Fonts showing differently on mobile Vs desktop (#2484)

* Fixed issue [security] #18042: Path-relative stylesheet import (PRSSI) vulnerability (#2374) (#2495)

* Fixed issue 18201: Unable to import LSA file with MSSQL and debug set (#2472)

Dev: check if $result['CONTRAINT_NAME'] exist before using it

* Fixed issue [security] #18200: User with only reponse export can export Survey + token (survey archive) (#2491)

* Dev Automatic translation update

* Revert "Fixed issue 18029: Removed html tags in emails (#2411)"

This reverts commit 39705d571d21ff59c8aea85c6ceca4858ed48998.

* Updated translation: German by c_schmitz
Updated translation: Basque by zatarain
Updated translation: Italian by lfanfoni, ritapas
Updated translation: Kazakh by CenterOfExcellence
Updated translation: Kannada by mahantesh19
Updated translation: Luxembourgish by Mazi
Updated translation: Dutch by Han
Updated translation: Slovak by jelen1
Updated translation: Ukrainian by olly
Updated translation: Zulu by erik.lamontagne
Updated translation: Italian (Informal) by lfanfoni
Updated translation: Dutch (Informal) by Han
Updated translation: Chinese (Simplified) by FangZhijian

* Release 3.28.18+220706

* Fixed issue 17952: Command action try to open uneeded session (#2496)

Dev: replace the get action on ConsoleHttpSession

* Fixed issue 17488: Cannot view survey after updating to version 3.27.9 with custom twig extension (breaks survey) (#2360)

* Updated translation: Hungarian by kkd

* Release 3.28.19+220712

* Fixed issue #18183: Date filter at statistics is not applied correctly (#2493)

* Fixed issue #18106: Missing survey ID replacements at registration screen

* Updated translation: Basque by admin67
Updated translation: Japanese by nomoto
Updated translation: German (Informal) by c_schmitz

* Release 3.28.20+220719

* Fixed issue 17458: Check integrity broke with SQL error (#2312)

Dev: add a try/cast
Dev: happen if subquestion title are number only
Dev: No need to check if integer, and don't throw exception …
Dev: log it as info

* Updated translation: Swedish by maxzomborszki

* Release 3.28.21+220726

* Fixed issue 17972: events are dispatched if the plugin is deactivated (#2335)

Dev: Add param to load init
Dev: set it to false in PluginManagerController in all case
Dev: active plugin are loaded via PluginManager->loadPlugins
Dev: use plugin model active status in PluginManager
Dev: init the plugin before activate

* Updated translation: French (France) by c_schmitz, DenisChenu, eddylackmann, fradeff, frederic93190, Xave
Updated translation: Thai by tomzt
Updated translation: Turkish by kayazeren

* Release 3.28.22+220802

* Updated translation: Lithuanian by c_schmitz, simasj

* Release 3.28.23+220809

* Updated translation: Croatian by rovinj

* Release 3.28.24+220816

* Fixed issue: Cannot load previously saved response to resume, instead the message "There is no matching saved response" is shown after entering identifier and password

* Fixed issue 16795: typo in default text for confirmation email (in english) (#2572)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Dev Automatic translation update

* Fixed issue 17485: The getAnswerQuery method cannot be used in the Answers model (#2569)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 18209: Missing RemoteControl function to get the field mapping (#2490)

* Dev: Add validate command needed to validate extremely big email templates with expressions

* Updated translation: Catalan by qualitatuvic
Updated translation: Polish by elissa
Updated translation: Polish (Informal) by elissa

* Release 3.28.25+220822

* Updated translation: Czech by jelen1
Updated translation: Czech (Informal) by jelen1, slansky

* Updated translation: Bengali by lucas_encuesta.biz
Updated translation: German by c_schmitz
Updated translation: Georgian by lucas_encuesta.biz
Updated translation: German (Informal) by c_schmitz

* Fixed issue: No response recorded when using registration
Dev Revert "Fixed issue #18106: Missing survey ID replacements at registration screen"
Dev This reverts commit f23a8a8a35afca6d64b595e20cb9a6f65facadcc.

* Updated translation: German by c_schmitz
Updated translation: Georgian by c_schmitz
Updated translation: German (Informal) by c_schmitz

* Release 3.28.26+220829

* Updated translation: Chinese (Simplified) by johnxan

* Updated translation: Galician by Calidonia
Updated translation: Italian by lfanfoni
Updated translation: Swedish by maxzomborszki
Updated translation: Thai by adzpire, tomzt
Updated translation: Turkish by kayazeren
Updated translation: Italian (Informal) by lfanfoni
Updated translation: Valencian by joamuran, vbraque

* Release 3.28.27+220905

* Updated translation: Dutch by Han
Updated translation: Dutch (Informal) by Han

* Release 3.28.28+220912

* Fixed issue 18344: Unable to download file in response list (IIS)

* Fixed issue 18133: Set "Other" state has no clue about current state

* Fixed issue 16697: «inherit everything» still not translated (#2609)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Updated translation: Polish by elissa
Updated translation: Polish (Informal) by elissa

* Release 3.28.29+220920

* Fixed issue 17870: Default value with line feed broke Expression Script

* Fixed issue 18240: QuestioinTheme browserdetect, Show Platform information didn't work (#2596)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 18351: Extra token placeholder show as invalid in expression (#2601)

Dev: add completed to fixed columns
Dev: use all in expression validator since Script use all token->attributes

* Updated translation: Italian by lfanfoni
Updated translation: Italian (Informal) by lfanfoni

* Updated translation: German by c_schmitz
Updated translation: Khmer by lucas_encuesta.biz
Updated translation: Urdu by lucas_encuesta.biz

* Updated translation: German (Informal) by c_schmitz

* Release 3.28.30+220927

* Updated translation: Polish by elissa
Updated translation: Thai by tomzt
Updated translation: Uighur by walkingdead
Updated translation: Polish (Informal) by elissa

* Release 3.28.31+221005

* Fixed issue 17950: is_int(false) returns true (#2431)

Dev: false and '' disallowed

* Fixed issue: HTML tags are not allowed for admins in participant attributes (#2626)

* Fixed issue 15195: Expiration date can be set before start date (#2551)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 17117: 'Send invitations' button does nothing after failed send invitations (#2571)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 18134: Present subquestions/answer options in random order has no clue about current state (#2563)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 17173: Publication and access setting 'listed publicly' not displayed correctly (#2544)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 18141: changing display mode from extended to compact in survey responses windows causes freeze (#2499)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 14386: Pagination legend incorrect for Survey Groups (#2535)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Updated translation: Uighur by walkingdead

* Release 3.28.32+221011

* Updated translation: Czech by jelen1
Updated translation: Czech (Informal) by jelen1

* Dev Text fixes

* Dev Automatic translation update

* Dev Text fixes

* Dev Automatic translation update

* Updated translation: German by c_schmitz
Updated translation: German (Informal) by c_schmitz

* Fixed issue: [security] Various major & minor security issues discovered by automated security tools

* Updated translation: Polish by elissa
Updated translation: Polish (Informal) by elissa

* Release 3.28.33+221020

* Fixed issue: Missing files

* Release 3.28.34+221021

* Fixed issue: Cannot edit file in theme editor

* Updated translation: Czech by jelen1
Updated translation: Czech (Informal) by jelen1

* Release 3.28.35+221025

* Fixed issue: Cannot add participant to CPDB

* Fixed issue 18430: Unable to ComfortUpdate

* Dev Small fix

* Updated translation: Italian by lfanfoni
Updated translation: Italian (Informal) by lfanfoni

* Dev Update to Yii 1.1.26 for better 8.1 compatibilty

* Release 3.28.36+221102

* Fixed issue: ComfortUpdate is blocked by error/warning/notice when debug mode is active

* Fixed issue 15310: Display dropdown boxes - Date/Time question type not working correctly if minimum date < 1900 (#2628)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Fixed issue 17883: QueXML formatting cannot be changed (#2561)

Dev: Patch by 2BITS_PL

* Dev Performance enhancement for survey list
Dev Bumped updater version

* Dev Performance enhancement for survey list

* Dev Automatic translation update

* Release 3.28.37+221108

* Fixed issue: Survey gets into a state where it seems to be active but isn't - to fix this run integrity check

Partially reverting issue 15195.
Similar to commit https://github.com/LimeSurvey/LimeSurvey/commit/dbc22fcbf4d3bc80c44b596ab99346f8f280bf81

* Updated translation: Catalan by qualitatuvic
Updated translation: Czech by jelen1
Updated translation: Portuguese (Brazil) by educaticteced, effgarces, filhocf, josesiqueira, mauriciofurtado
Updated translation: Czech (Informal) by jelen1

* Release 3.28.38+221115

* Fixed issue: ComfortUpdate should use SSL by default

* Fixed issue 15195: Expiration date can be set before start date (#2727)

* Fixed issue 18488: Conditions are not properly highlighted if they have additional spaces (#2736)

* Updated translation: Hungarian by kkd
Updated translation: Valencian by vbraque

* Release 3.28.39+221122

* Fixed issue 16187: Cant Create Custom Survey ID (need proper error message) (#2725)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>

* Fixed issue 18461 Survey groups at survey list screen should be listed alphabetically (#2723)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>

* Fixed issue 14310: Google Analytics functionality doesn't work (#2643)

Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>

* Updated translation: Italian by lfanfoni, ritapas
Updated translation: Polish by elissa
Updated translation: Italian (Informal) by lfanfoni, ritapas
Updated translation: Polish (Informal) by elissa

* Release 3.28.40+221129

* Fixed issue 17818: Copy a multiple choice question send a DB error (MSSQL) (#2593)

Dev: switchMSSQLIdentityInsert when needed

* Updated translation: French (France) by arnaud21, DenisChenu, Xave
Updated translation: Italian by lfanfoni
Updated translation: Dutch by c_schmitz, Han
Updated translation: Polish by elissa
Updated translation: Italian (Informal) by lfanfoni
Updated translation: Dutch (Informal) by c_schmitz, Han
Updated translation: Polish (Informal) by elissa

* Release 3.28.41+221206

* Fixed issue [security] #18514 : no CSRF control when delete token table (#2760)

Dev: move to POST action

* Updated translation: Catalan by qualitatuvic
Updated translation: Galician by Calidonia
Updated translation: Japanese by c_schmitz, d_inoue, nomoto
Updated translation: Portuguese (Brazil) by mauriciofurtado

* Release 3.28.42+221213

* Updated translation: Azerbaijani by PawelAtroszko
Updated translation: Bosnian by PawelAtroszko
Updated translation: Galician by Calidonia
Updated translation: Luxembourgish by Mazi

* Fixed issue 18086: Custom "other" label text not applied to Bootstrap button layout (#2749)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>

* Fixed issue 18338: For participants, expiration date can be set before start date (#2726)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>
Co-authored-by: Olle Härstedt <olleharstedt@yahoo.com>

* Updated translation: Bosnian by PawelAtroszko
Updated translation: German by c_schmitz, eddylackmann

* Dev: Fix CI

* Dev: Fix CI

* Dev: Fix CI

* Dev: Fix CI

* Dev: Debug index.php

* Updated translation: Catalan by qualitatuvic

* Dev: Missing mbstring in CI

* Dev: Missing FF capabilities for local cert (CI)

* Dev: Try with testdox (CI)

* Dev: Insert authdb plugin row before running tests (CI)

* Dev: Fix typo

* Dev: Use -b limesurvey (CI)

* Dev: testdox swallows errors :( (CI)

* Dev: cat config.php (CI)

* Dev: Wait longer at login screen (CI)

* Dev: Test to sleep (CI)

* Dev: Dump body (CI)

* Dev: Add missing xml lib ext (CI)

* Updated translation: Polish by elissa
Updated translation: Polish (Informal) by elissa

* Dev: Remove try-catch around index

* Release 3.28.43+221221

* Dev Automatic translation update

* Dev: Fix iframe bug in unit test

* Updated translation: Czech by jelen1
Updated translation: Italian by lfanfoni
Updated translation: Czech (Informal) by jelen1
Updated translation: Italian (Informal) by lfanfoni

* Release 3.28.44+230110

* Updated translation: Afrikaans by c_schmitz
Updated translation: Arabic by c_schmitz, Shatha
Updated translation: Bulgarian by c_schmitz
Updated translation: Danish by c_schmitz
Updated translation: Greek by c_schmitz
Updated translation: Spanish (Spain) by c_schmitz
Updated translation: Spanish (Mexican) by c_schmitz
Updated translation: Estonian by c_schmitz
Updated translation: Hindi by c_schmitz
Updated translation: Croatian by c_schmitz
Updated translation: Hungarian by c_schmitz
Updated translation: Indonesian by c_schmitz
Updated translation: Korean by c_schmitz
Updated translation: Luxembourgish by Mazi
Updated translation: Lithuanian by c_schmitz
Updated translation: Latvian by c_schmitz
Updated translation: Mongolian by c_schmitz
Updated translation: Norwegian (Bokmål) by c_schmitz
Updated translation: Norwegian (Nynorsk) by c_schmitz
Updated translation: Polish by c_schmitz, elissa
Updated translation: Portuguese (Brazil) by c_schmitz
Updated translation: Romanian by c_schmitz
Updated translation: Russian by c_schmitz
Updated translation: Slovenian by c_schmitz
Updated translation: Swedish by c_schmitz
Updated translation: Thai by c_schmitz
Updated translation: Turkish by c_schmitz
Updated translation: Ukrainian by c_schmitz
Updated translation: Vietnamese by c_schmitz
Updated translation: Spanish (Argentina) (Informal) by c_schmitz
Updated translation: Polish (Informal) by elissa
Updated translation: Chinese (Simplified) by c_schmitz

* Release 3.28.45+230117

* Updated translation: Dutch by Han
Updated translation: Dutch (Informal) by Han

* Release 3.28.46+230124

* Updated translation: Bulgarian by c_schmitz
Updated translation: Bosnian by DenisChenu
Updated translation: French (France) by DenisChenu
Updated translation: Hindi by lucas_encuesta.biz, PawelAtroszko
Updated translation: Malay by PawelAtroszko
Updated translation: Urdu by lucas_encuesta.biz

* Fixed issue 18562: Upload question type partially broken (#2811)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>

* Dev Automatic translation update

* Release 3.28.47+230131

* Updated translation: Armenian by c_schmitz

* Fixed issue: Unable to remove an expired ComfortUpdate key

* Dev Raised updater version to 18

* Fixed issue: Unable to remove an expired ComfortUpdate key

* Updated translation: Croatian by c_schmitz
Updated translation: Swedish by c_schmitz
Updated translation: Turkish by c_schmitz
Updated translation: Chinese (Simplified) by c_schmitz

* Updated translation: Filipino by TobyCarslake
Updated translation: Maltese by PawelAtroszko
Updated translation: Urdu by PawelAtroszko

* Fixed issue: Unable to add an new ComfortUpdate key

* Updated translation: Danish by c_schmitz
Updated translation: German by c_schmitz
Updated translation: Spanish (Mexican) by c_schmitz
Updated translation: Hindi by c_schmitz
Updated translation: Indonesian by c_schmitz
Updated translation: Korean by c_schmitz
Updated translation: Mongolian by c_schmitz
Updated translation: Norwegian (Bokmål) by c_schmitz
Updated translation: Portuguese (Brazil) by tamiel
Updated translation: Romanian by c_schmitz
Updated translation: Russian by c_schmitz
Updated translation: Vietnamese by c_schmitz
Updated translation: German (Informal) by c_schmitz, eddylackmann, moeller
Updated translation: Chinese (Taiwan) (Traditional) by c_schmitz

* Updated translation: Portuguese (Brazil) by c_schmitz

* Updated translation: Portuguese (Portugal) by c_schmitz
Updated translation: Portuguese (Brazil) by tamiel
Updated translation: German (Easy) by c_schmitz

* Release 3.28.48+230207

* Updated translation: Malay by c_schmitz
Updated translation: Tagalog by c_schmitz

* Fixed issue: Intermittent unstyled page when creating/copying a survey

* Updated translation: Malay by c_schmitz

* Updated translation: Bengali by PawelAtroszko

* Release 3.28.49+230215

* Fixed issue #18492: [security] Updates for several JS libraries
Dev Updated moment.js to version 2.29.4

* Fixed issue #18492: [security] Updates for several JS libraries
Dev Updated jQuery UI to version v1.13.2

* Fixed issue #18492: [security] Updates for several JS libraries
Dev Updated ckEditor to 4.20.2

* Fixed issue #18492: [security] Updates for several JS libraries
Dev Updated Select2 to 4.0.13

* Release 3.28.50+230221

* Fixed issue 18407: On-page conditions not working when pre-filling question with equation on the same page (#2676)

Dev: ASSIGN didn't work really with javascript,
Dev: Minimal fix to don't throw JS error

* Fixed issue 18532: Data entry screen incorrectly assigns 0 value to empty multiflex array checkbox values (PR #2755)

Fixed issue 18532: Data entry screen incorrectly assigns 0 value to empty multiflex array checkbox values

* Updated translation: Bosnian by amer.kurta
Updated translation: Ukrainian by c_schmitz

* Release 3.28.51+230228

* Renamed wrong "nameaccesskey" to "accesskey"

* Updated translation: Basque by admin67
Updated translation: Valencian by vbraque

* Fixed issue: Unable to run integrity check on databases with a big number of surveys

* Updated translation: Russian by vipgroup

* Release 3.28.52+230307

* Updated translation: Japanese by d_inoue
Updated translation: Polish by elissa

* Release 3.28.53+230314

* Fixed issue: $aFiles can be null

* Feature 18197: Allow GA4 tracking (#2962)

Co-authored-by: lapiudevgit <devgit@lapiu.biz>

* Dev: Null coalesce operator is not available in PHP 5.6

* Release 3.28.54+230321

* Fixed issue 18071: Importing Qaestion through Remote Control may fail if the imported question already exists (#2972)

Co-authored-by: Gabriel Jenik <gabriel.jenik@gmail.com>

* Fixed issue: Division by Zero error when running statistics

* Dev Automatic translation update

* Release 3.28.55+230328

* Fixed issue: PCLZip error on last step of ComfortUpdate when trying to update from version 3 to latest version

* Release 3.28.56+230404

* Fixed issue 18703: Upload files show error if not seen (using index) (#3014)

* Dev Small test change

* Dev Updated runner for Github actions

* Updated translation: Norwegian (Bokmål) by pmonstad
Updated translation: Turkish by kayazeren
Updated translation: German (Easy) by c_schmitz

* Release 3.28.57+230425

* Fixed issue 18603: Set Minimum number of files for File Upload not working (#2864)

Dev: allow "" and max and min file

* Fixed issue 18639: Token browse can be unusable with lot of data in attribute (#2915)

Dev: wrap value inside in cell (and encode)
Dev: PHP part, need a micro CSS art after
Dev: css part, apply to .grid-view .table td .text-content
Dev: PSR
Dev: Move to CustomFormatter->formatLongText
Dev: apply max-width and min-width with less than 50 caracter too

* Updated translation: Norwegian (Bokmål) by pmonstad

* Updated translation: Swedish by maxzomborszki

* Dev: Spit out php version and modules in CI

* Dev: More info in error message

* Dev: Do MySQL service fixes before installation (CI)

* Release 3.28.58+230504

* Dev: Dump available logs (CI)

* Dev: Tail MySQL error log (CI)

* Dev: Tail as background task (CI)

* Dev: YML syntax error

* Dev: More CI debugging

* Fixed issue 18343: Problem with interpreting double slash in URL (IIS) (#2630)

Dev: use PHP to construct the url
Dev: check if non empty before adding it
Dev: editorurl

* Fixed issue 18634: Export single selected response can export a empty line (#2909)

* Fixed issue 18634: Export single selected response can export a empty line
Dev: id set in url, resonseId in POST (by session)
Dev: remove session usage
Dev: can move to window-location-href, but ready for POST

* Dev: separator to ,

* Dev: oups, lost the allow separator in widget

* Dev: Fixed new tab opens

* Dev Automatic translation update

* Dev: Must check PHP 5.6 syntax before anything else (CI)

* Dev: Wrong ordering (CI)

* Revert "Fixed issue 18343: Problem with interpreting double slash in URL (IIS) (#2630)" (#3130)

This reverts commit ebb447a803af3a2c010437c69e92a66904a08ab8.

* Fixed issue 17491: Multiple Short Text subquestions missing from Export Printable Survey

---------

Co-authored-by: Gabriel Jenik <gabriel.jenik@gmail.com>
Co-authored-by: Denis Chenu <denis@sondages.pro>
Co-authored-by: LimeSurvey Translations Bot <translations@limesurvey.org>
Co-authored-by: olleharstedt <olleharstedt@yahoo.com>
Co-authored-by: Carsten Schmitz <carsten.schmitz@limesurvey.org>
Co-authored-by: François Charles Hébert <68611027+fsay2604@users.noreply.github.com>
Co-authored-by: Roberto Longobardi <530743+seccanj@users.noreply.github.com>
Co-authored-by: c-schmitz <carsten.schmitz.hh@gamil.com>
Co-authored-by: encuestabizdevgit <devgit@encuesta.biz>
Co-authored-by: Olle Haerstedt <olle.haerstedt@limesurvey.org>
Co-authored-by: Carsten Schmitz <c_schmitz@users.sourceforge.net>
Co-authored-by: lapiudevgit <devgit@lapiu.biz>
Co-authored-by: Marcel Minke <maziminke@web.de>
Affected Issues
14310, 14386, 15195, 15310, 16187, 16697, 16795, 17117, 17173, 17458, 17488, 17491, 17709, 17818, 17870, 17872, 17883, 17950, 17952, 17962, 17972, 17987, 18029, 18043, 18071, 18074, 18086, 18106, 18128, 18129, 18133, 18134, 18140, 18141, 18160, 18183, 18186, 18189, 18201, 18209, 18240, 18338, 18343, 18344, 18351, 18407, 18430, 18461, 18488, 18492, 18532, 18562, 18603, 18634, 18639, 18703
mod - application/controllers/admin/printablesurvey.php Diff File

Issue History

Date Modified Username Field Change
2021-07-21 12:32 DenisChenu New Issue
2021-07-21 12:32 DenisChenu File Added: Capture d’écran du 2021-07-21 12-18-05.png
2021-07-21 12:32 DenisChenu File Added: CDbException.html
2021-07-21 12:33 DenisChenu Severity block => partial_block
2021-07-21 12:36 ollehar Note Added: 65516
2021-07-21 12:44 DenisChenu Note Added: 65517
2021-07-21 12:46 DenisChenu Note Added: 65518
2021-07-21 12:46 DenisChenu File Added: 500 Erreur interne au serveur.html
2021-07-21 12:46 DenisChenu File Added: limesurvey_survey_NoInt500.lss
2021-07-21 12:53 DenisChenu Note Added: 65519
2021-07-21 12:53 DenisChenu File Added: limesurvey_survey_2147483647.lss
2021-07-21 15:55 DenisChenu Note Added: 65531
2021-07-21 15:57 DenisChenu Note Edited: 65531
2021-07-21 15:58 ollehar Note Added: 65533
2021-07-21 15:58 ollehar Note Added: 65534
2021-07-21 16:32 DenisChenu Note Added: 65542
2021-08-19 15:39 duvemyster Issue Monitored: duvemyster
2021-08-19 15:39 duvemyster Bug heat 4 => 6
2021-10-28 09:32 galads Assigned To => galads
2021-10-28 09:32 galads Status new => confirmed
2022-03-22 20:45 DenisChenu Relationship added has duplicate 17981
2022-03-22 20:45 DenisChenu Bug heat 6 => 12
2022-03-22 20:58 labd1301 Bug heat 12 => 14
2022-03-24 14:23 DenisChenu Note Added: 68794
2022-03-24 14:23 DenisChenu File Added: Capture d’écran du 2022-03-24 14-21-38.png
2022-03-24 14:23 DenisChenu File Added: survey_archive_542957.lsa
2022-03-24 18:06 DenisChenu Note Added: 68795
2022-03-24 18:19 DenisChenu Note Added: 68796
2022-05-04 08:28 galads Assigned To galads => gabrieljenik
2022-05-04 08:28 galads Status confirmed => assigned
2022-05-05 18:54 gabrieljenik Note Added: 69430
2022-05-05 18:54 gabrieljenik Bug heat 14 => 16
2022-05-05 18:55 gabrieljenik Assigned To gabrieljenik => DenisChenu
2022-05-05 20:51 DenisChenu Status assigned => ready for code review
2022-05-05 20:52 DenisChenu Note Added: 69441
2022-05-06 08:48 DenisChenu Assigned To DenisChenu =>
2022-05-06 08:48 DenisChenu Note Added: 69453
2022-06-27 01:52 gabrieljenik Note Added: 70541
2022-06-27 01:52 gabrieljenik File Added: image.png
2022-07-04 22:05 labd1301 Issue Monitored: labd1301
2022-07-04 22:05 labd1301 Bug heat 16 => 24
2022-07-14 15:38 gabrieljenik Status ready for code review => ready for testing
2022-07-20 10:28 DenisChenu Changeset attached => LimeSurvey master 1dc8b53e
2022-07-20 10:28 DenisChenu Note Added: 71043
2022-07-20 10:28 DenisChenu Assigned To => DenisChenu
2022-07-20 10:28 DenisChenu Resolution open => fixed
2022-07-21 11:42 DenisChenu Changeset attached => LimeSurvey 3.x-LTS 5031c861
2022-07-21 11:42 DenisChenu Note Added: 71070
2022-07-21 11:43 DenisChenu Status ready for testing => resolved
2022-07-21 11:43 DenisChenu Fixed in Version => 3.28.x
2022-07-21 11:43 DenisChenu Note Added: 71071
2022-07-25 10:15 LimeBot Note Added: 71112
2022-07-25 10:15 LimeBot Status resolved => closed
2022-07-25 10:15 LimeBot Bug heat 24 => 26
2023-02-02 18:07 DenisChenu Relationship added related to 18614
2023-06-01 17:44 adamzammit Changeset attached => LimeSurvey 3.x-LTS 6cd2e8b8
2023-06-01 17:44 adamzammit Note Added: 75339
2023-06-01 17:44 adamzammit Bug heat 26 => 28
2023-06-01 17:44 adamzammit Assigned To DenisChenu => adamzammit